IF EXISTS ( SELECT name FROM sysobjects
            WHERE type = 'V' AND name = 'PSG_XPSP2Prgs' )
BEGIN
    DROP VIEW PSG_XPSP2Prgs
END
GO

CREATE VIEW PSG_XPSP2Prgs AS
SELECT
	W.MachineName,
	W.IPAddress,
	W.LoginName,
	U.FirstName,
	U.MiddleName,
	U.LastName,
	P.Manufacturer,
	P.Product,
	P.Model
FROM NC_Workstation W, NC_User U, NC_Component C, NC_Product P
WHERE  W.PrimaryUserOID = U.UserOID 
	AND W.WorkstationOID = C.WorkstationOID 
	AND C.ProductAlias = P.ProductOID 
	AND W.IsDeleted IS NULL 
	AND C.IsDeleted IS NULL
	AND U.IsDeleted IS NULL
	AND ((P.Manufacturer = 'Attachmate'
		AND (P.Product LIKE '%KEA!%'
			OR P.Product LIKE '%EXTRA!%'))
	OR (P.Manufacturer = 'Autodesk'
		AND P.Product LIKE '%AutoCAD%')
	OR (P.Manufacturer = 'BindView Development'
		AND P.Product LIKE '%bv-Admin%')
	OR (P.Manufacturer = 'BMC Software'
		AND P.Product LIKE '%PATROL for MS Wi%')
	OR (P.Manufacturer = 'CA'
		AND (P.Product LIKE '%ARCServe%'
			OR P.Product LIKE '%eTrust%'))
	OR (P.Manufacturer = 'EMC'
		AND P.Product LIKE '%EDM%')
	OR (P.Manufacturer = 'Esker'
		AND P.Product LIKE '%Smarterm%')
	OR (P.Manufacturer = 'GlobalSCAPE'
		AND P.Product LIKE '%CuteFTP%')
	OR (P.Manufacturer = 'Hummingbird'
		AND (P.Product LIKE '%Exceed%'
			OR P.Product LIKE '%eXceed%'
			OR P.Product LIKE '%HostExplorer%'))
	OR (P.Manufacturer = 'Macromedia'
		AND P.Product LIKE '%ColdF%')
	OR (P.Manufacturer = 'McAfee Associates'
		AND P.Product LIKE '%NetShield%')
	OR (P.Manufacturer = 'Microsoft' 
		AND (P.Product LIKE '%Studio .NET%' 
			OR P.Product LIKE '%SQL%' 
			OR P.Product LIKE '%SMS%'
			OR P.Product LIKE '%Operations%'
			OR P.Product LIKE '%Systems%'
			OR P.Product LIKE '%SNA %'))
	OR (P.Manufacturer = 'NetManage'
		AND P.Product LIKE '%ViewNow%')
	OR (P.Manufacturer = 'Quest Software'
		AND P.Product LIKE '%ERdisk%')
	OR (P.Manufacturer = 'Symantec'
		AND (P.Product LIKE '%Ghost%'
			OR P.Product LIKE '%AntiVirus%'))
	OR (P.Manufacturer = 'VERITAS'
		AND(P.Product LIKE '%Backup Exec%'
			OR P.Product LIKE '%Volume%'))
	OR (P.Manufacturer = 'WRQ'
		AND P.Product LIKE '%Reflection%')
	OR (P.Manufacturer = 'Xerox'
		AND P.Product LIKE '%Camera%'))
	AND W.WorkstationOID IN (
		SELECT W.WorkstationOID 
		FROM NC_Workstation W, NC_Component C, NC_Product P
		WHERE W.WorkstationOID = C.WorkstationOID 
			AND C.ProductAlias = P.ProductOID 
			AND W.IsDeleted IS NULL 
			AND C.IsDeleted IS NULL
			AND C.ProductType = 14
			AND P.Product LIKE '%XP%')
GO
